# PokemonBattleData | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class PokemonBattleData

- Defined in src/field/pokemon.ts:7656

##### Index

### Constructors

constructor

### Properties

abilitiesApplied
abilityRevealed
berriesEaten
endured
hitCount
prevHitCount

## Constructors

### constructor

- new PokemonBattleData(): PokemonBattleData

  #### Returns PokemonBattleData

## Properties

### abilitiesApplied

abilitiesApplied: Abilities [] = []

- Defined in src/field/pokemon.ts:7663

### abilityRevealed

abilityRevealed: boolean = false

- Defined in src/field/pokemon.ts:7664

### berriesEaten

berriesEaten: BerryType [] = []

- Defined in src/field/pokemon.ts:7662

### endured

endured: boolean = false

- Defined in src/field/pokemon.ts:7661

### hitCount

hitCount: number = 0

counts the hits the pokemon received

- Defined in src/field/pokemon.ts:7658

### prevHitCount

prevHitCount: number = 0

used for `Moves.RAGE_FIST` in order to save hit Counts received before Rage Fist is applied

- Defined in src/field/pokemon.ts:7660